.TH "mca_bml_base_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_bml_base_module_t \- BML module interface functions and attributes.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <bml.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_bml_base_component_t\fP * \fBbml_component\fP"
.br
.RI "\fIpointer back to the BML component structure \fP"
.ti -1c
.RI "size_t \fBbml_eager_limit\fP"
.br
.RI "\fImaximum size of first fragment -- eager send \fP"
.ti -1c
.RI "size_t \fBbml_min_send_size\fP"
.br
.RI "\fIthreshold below which the BML should not fragment \fP"
.ti -1c
.RI "size_t \fBbml_max_send_size\fP"
.br
.RI "\fImaximum send fragment size supported by the BML \fP"
.ti -1c
.RI "size_t \fBbml_min_rdma_size\fP"
.br
.RI "\fIthreshold below which the BML should not fragment \fP"
.ti -1c
.RI "size_t \fBbml_max_rdma_size\fP"
.br
.RI "\fImaximum rdma fragment size supported by the BML \fP"
.ti -1c
.RI "\fBmca_bml_base_module_add_procs_fn_t\fP \fBbml_add_procs\fP"
.br
.ti -1c
.RI "\fBmca_bml_base_module_del_procs_fn_t\fP \fBbml_del_procs\fP"
.br
.ti -1c
.RI "\fBmca_bml_base_module_register_fn_t\fP \fBbml_register\fP"
.br
.ti -1c
.RI "\fBmca_bml_base_module_finalize_fn_t\fP \fBbml_finalize\fP"
.br
.ti -1c
.RI "\fBmca_bml_base_module_progress_fn_t\fP \fBbml_progress\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
BML module interface functions and attributes. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
